com.mxgraph.io

## Class mxGdCodec

- java.lang.Object
- - com.mxgraph.io.mxGdCodec

-     public class mxGdCodec
      extends java.lang.Object

  Parses a GD .txt file and imports it in the given graph.
  This class depends from the classes contained in com.mxgraph.io.gd.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `mxGdCodec.mxGDParseState` Represents the different states in the parse of a file.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.HashMap<java.lang.String,java.lang.Object>` | `cellsMap` Map with the vertex cells added in the addNode method.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxGdCodec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `decode(java.lang.String input, mxGraph graph)` Parses simple GD format and populate the specified graph
    `static java.lang.String` | `encode(mxGraph graph)` Generates a GD text output with the cells in the graph.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cellsMap

          protected static java.util.HashMap<java.lang.String,java.lang.Object> cellsMap

      Map with the vertex cells added in the addNode method.

  - ### Constructor Detail

    - #### mxGdCodec

          public mxGdCodec()

  - ### Method Detail

    - #### decode

          public static void decode(java.lang.String input,
                    mxGraph graph)

      Parses simple GD format and populate the specified graph
      Parameters:
        `input` - GD file to be parsed
        `graph` - Graph where the parsed graph is included.

    - #### encode

          public static java.lang.String encode(mxGraph graph)

      Generates a GD text output with the cells in the graph. The implementation only uses the cells located in the default parent.
      Parameters:
        `graph` - Graph with the cells.
      Returns:
        The GD document generated.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.